Loading...
Searching...
No Matches
pcl::cuda::Debayering< Storage > Class Template Reference

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/io/include/pcl/cuda/io/debayering.h>`

## Public Types

using | RGBImageType = typename Storage< OpenNIRGB >::type

## Public Member Functions

void | computeBilinear (const openni_wrapper::Image::Ptr &bayer_image, RGBImageType &rgb_image) const

## Detailed Description

template<template< typename > class Storage>
class pcl::cuda::Debayering< Storage >

Definition at line 124 of file debayering.h.

## Member Typedef Documentation

## RGBImageType

template<template< typename > class Storage>

using pcl::cuda::Debayering< Storage >::RGBImageType = typename Storage<OpenNIRGB>::type

Definition at line 127 of file debayering.h.

## Member Function Documentation

## computeBilinear()

template<template< typename > class Storage>

void pcl::cuda::Debayering< Storage >::computeBilinear | ( | const openni_wrapper::Image::Ptr & | bayer_image,
|  | RGBImageType & | rgb_image
| ) |  | const

The documentation for this class was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/io/include/pcl/cuda/io/debayering.h